Package org.eclipse.zest.layouts.interfaces

# Interface ContextListener

All Known Implementing Classes:
  `ContextListener.Stub`

public interface ContextListener

Since:
  2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ContextListener.Stub`

## Method Summary

Modifier and Type
Method
Description
`void`
`backgroundEnableChanged(LayoutContext context)`
This method is called whenever background layout is enabled or disabled in a layout context.
`boolean`
`boundsChanged(LayoutContext context)`
This method is called whenever the bounds available in a layout context change.
`boolean`
`pruningEnablementChanged(LayoutContext context)`
This method is called whenever graph pruning is enabled or disabled in a layout context.

## Method Details

### boundsChanged

boolean boundsChanged(LayoutContext context)
This method is called whenever the bounds available in a layout context change. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Parameters:
  `context` - the layout context that fired the event
Returns:
  true if no further operations after this event are required

### pruningEnablementChanged

boolean pruningEnablementChanged(LayoutContext context)
This method is called whenever graph pruning is enabled or disabled in a layout context. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Parameters:
  `context` - the layout context that fired the event
Returns:
  true if no further operations after this event are required

### backgroundEnableChanged

void backgroundEnableChanged(LayoutContext context)
This method is called whenever background layout is enabled or disabled in a layout context. If the receiving listener is related to a layout algorithm that performs layout in reaction to events, it should turn automatic flush of changes on or off. Also, eventual additional threads responsible for layout should be stopped or started accordingly.

Parameters:
  `context` - the layout context that fired the event